Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 616462 (CVE-2017-7980) - <app-emulation/qemu-2.8.1-r2: display: cirrus: OOB r/w access issues in bitblt routines
Summary: <app-emulation/qemu-2.8.1-r2: display: cirrus: OOB r/w access issues in bitbl...
Status: RESOLVED FIXED
Alias: CVE-2017-7980
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: CVE-2017-8086
Blocks:
  Show dependency tree
 
Reported: 2017-04-24 11:31 UTC by Agostino Sarubbo
Modified: 2017-06-06 06:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-04-24 11:31:57 UTC
From ${URL} :

Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is
vulnerable to an out-of-bounds r/w access issues. It could occur while copying
VGA data via various bitblt functions.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS OR potentially execute arbitrary code on a host with
privileges of Qemu process on the host.

Upstream patches:
-----------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=026aeffcb4752054830ba203020ed6eb05bcaba8
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=ffaf857778286ca54e3804432a2369a279e73aa7

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/04/21/1


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthias Maier gentoo-dev 2017-04-25 13:53:53 UTC
commit 51d94aaeff0e35fa68711f5623c5e6f68be2fac8
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Tue Apr 25 08:32:43 2017 -0500

    app-emulation/qemu: security fixes
    
    CVE-2017-7471, bug #616484
    
    CVE-2017-7718, bug #616482
      already applied on stable-2.8 as 3328c14e63f08fb07e8c6dec779c9d365e9e9864
    
    CVE-2017-7980, bug #616462
      already applied on stable-2.8 as a290442234fa214fcb7f45fc91d802bcb8d05c4b
                                       031700e4527b9e05798f7040dccdf638da27aee2
    
    CVE-2017-8086, bug #616460
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-06-06 06:49:27 UTC
This issue was resolved and addressed in
 GLSA 201706-03 at https://security.gentoo.org/glsa/201706-03
by GLSA coordinator Yury German (BlueKnight).